<?php
include_once "test-conn.php";

$qid=is_numeric($_GET['qid'])?$_GET['qid']:exit('No Qid!');
$result = mysql_query("SELECT * FROM {$tableqz}qqs where qid='{$qid}' and ismqqd>0 and sidzt=0 limit 1");
if($row=mysql_fetch_array($result)){
	$uin=$row['qq'];
	$sid=$row['sid'];
	$skey=$row['skey'];
	$p_skey=$row['p_skey'];
	$p_skey2=$row['p_skey2'];
	$now=date("Y-m-d-H:i:s");
	$next=date("Y-m-d H:i:s",time()+60*60*8-10);
	@mysql_query("update {$tableqz}qqs set lastmqqd='$now',nextmqqd='$next' where qid='$qid'");
	include_once "qzone.class.php";
	$result = mysql_query("SELECT sid FROM {$tableqz}qqs where sidzt=0 order by rand() limit 2");
	while($qq=mysql_fetch_array($result)){
		$qid=$qq['qid'];
		$qzone=new qzone($uin,$sid,$skey,$p_skey,$p_skey2);
		$qzone->cqqd();
		$row=$qq;
		include_once "mail.php";
		print_r($qzone->msg);
	}
}else{
	exit('请开启超Q签到功能');
}

